Bug 10698 - url.sty shold not be packaged?
: url.sty shold not be packaged?
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/latex2html)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-01-22 18:20 by
Modified: 2009-06-08 14:54 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-01-22 18:20:12
$ cat test.tex
\documentclass{article}
\usepackage{url}
\begin{document}
\url{altlinux.org}
\end{document}
$

$ packagereq -o /dev/stdout pdflatex test.tex
This is pdfTeX, Version 3.14159-1.10a (Web2C 7.4.4)
(./test.tex{/usr/share/texmf/pdftex/config/pdftex.cfg}
LaTeX2e <2001/06/01>
Babel <v3.7h> and hyphenation patterns for american, french, german, ngerman, r
ussian, ukrainian, nohyphenation, loaded.
(/usr/share/texmf/tex/latex/base/article.cls
Document Class: article 2001/04/21 v1.4e Standard LaTeX document class
(/usr/share/texmf/tex/latex/base/size10.clo))
(/usr/share/texmf/tex/latex/html/url.sty)
No file test.aux.
[1{/usr/../etc/tex-fonts/pdftex.map}] (./test.aux) ){/usr/share/texmf/dvips/tet
ex/f7b6d320.enc}</usr/share/texmf/fonts/type1/bluesky/cm/cmr10.pfb>{/usr/share/
texmf/dvips/tetex/09fbbfac.enc}</usr/share/texmf/fonts/type1/bluesky/cm/cmtt10.
pfb>
Output written on test.pdf (1 page, 9538 bytes).
Transcript written on test.log.
packagereq: building requires list: latex2html
latex2html
$

$ buildreq2 --packagereq --tracep=latex2html pdflatex test.tex
This is pdfTeX, Version 3.14159-1.10a (Web2C 7.4.4)
(./test.tex{/usr/share/texmf/pdftex/config/pdftex.cfg}
LaTeX2e <2001/06/01>                 
Babel <v3.7h> and hyphenation patterns for american, french, german, ngerman, r
ussian, ukrainian, nohyphenation, loaded.
(/usr/share/texmf/tex/latex/base/article.cls
Document Class: article 2001/04/21 v1.4e Standard LaTeX document class
(/usr/share/texmf/tex/latex/base/size10.clo))
        *** buildreq2: access /usr/share/texmf/tex/latex/html/url.sty
                                     
        *** buildreq2: stat64 /usr/share/texmf/tex/latex/html/url.sty
                                     
        *** buildreq2: open /usr/share/texmf/tex/latex/html/url.sty
                                     
        *** buildreq2: access /usr/share/texmf/tex/latex/html/url.sty
                                     
        *** buildreq2: stat64 /usr/share/texmf/tex/latex/html/url.sty
                                     
        *** buildreq2: open /usr/share/texmf/tex/latex/html/url.sty
...
$

$ find /usr/share/texmf -name url.sty                         
/usr/share/texmf/tex/latex/misc/url.sty
/usr/share/texmf/tex/latex/html/url.sty
$

$ diff `!!`
diff `find /usr/share/texmf -name url.sty`
--- /usr/share/texmf/tex/latex/misc/url.sty     2000-03-15 08:47:00 +0000
+++ /usr/share/texmf/tex/latex/html/url.sty     2002-11-29 11:49:18 +0000
@@ -1,4 +1,4 @@
-% url.sty  ver 1.5    28-Mar-1999   Donald Arseneau   asnd@triumf.ca
+% url.sty  ver 1.4    02-Mar-1999   Donald Arseneau   asnd@triumf.ca
 % Copyright 1996-1999 Donald Arseneau,  Vancouver, Canada.
 % This program can be used, distributed, and modified under the terms
 % of the LaTeX Project Public License.
...
$
------- Comment #1 From 2009-05-06 20:01:04 -------
isn't in already fixed in 2002-alt6 ?
------- Comment #2 From 2009-06-08 14:54:17 -------
Исправлено ещё в предыдущей сборке. 
Теперь url.sty пакуется, но не кладётся в texmf, поэтому недоступен
для kpsewhich и не создаёт коллизий.